ExceptionHandlingIterable (Neo4j Community 1.8.RC1 API)
Date: 2012-09-07

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Neo4j Community
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.neo4j.helpers.collection
Class ExceptionHandlingIterable<T>

    java.lang.Object
      org.neo4j.helpers.collection.ExceptionHandlingIterable<T>

Type Parameters:
  `T` -

All Implemented Interfaces:
  Iterable<T>

    public class ExceptionHandlingIterable<T>

extends Object
implements Iterable<T>

allows to catch, analyse and react on exceptions that are thrown by the inner iterable useful for exception conversion on iterator methods Uses sun.misc.Unsafe internally to rethrow original exceptions !

Constructor Summary
`ExceptionHandlingIterable(Iterable<T> source)`

Method Summary
`protected boolean` | `exceptionOnHasNext(Throwable t)`
`protected Iterator<T>` | `exceptionOnIterator(Throwable t)`
`protected T` | `exceptionOnNext(Throwable t)`
`protected void` | `exceptionOnRemove(Throwable t)`
`static sun.misc.Unsafe` | `getUnsafe()`
`Iterator<T>` | `iterator()`
`protected void` | `rethrow(Throwable t)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ExceptionHandlingIterable

    public ExceptionHandlingIterable(Iterable<T> source)

Method Detail

### getUnsafe

    public static sun.misc.Unsafe getUnsafe()

### iterator

    public Iterator<T> iterator()

  Specified by:
    `iterator` in interface `Iterable<T>`

### rethrow

    protected void rethrow(Throwable t)

### exceptionOnHasNext

    protected boolean exceptionOnHasNext(Throwable t)

### exceptionOnRemove

    protected void exceptionOnRemove(Throwable t)

### exceptionOnNext

    protected T exceptionOnNext(Throwable t)

### exceptionOnIterator

    protected Iterator<T> exceptionOnIterator(Throwable t)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Neo4j Community
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2012 The Neo4j Graph Database Project. All Rights Reserved.